#ifndef _OME_OBJACL_H
//! \cond
#define _OME_OBJACL_H "$Id: OMEobjACL.h 452 2020-07-23 20:19:23Z geoff $"
//! \endcond

#include <OMEstring.h>
#include <OMEassoc.h>

/** \defgroup OMEacl OME Access Control Routines
 * @{
 */

OMEassoc *OMEmakeACL(const OMEstring &entity, uint_fast32_t defaultPermission,
	const OMEassoc &methodList);

void OMEaddToACL(OMEassoc &acl, const OMEstring &entity,
	uint_fast32_t defaultPermission, const OMEassoc &methodList);

bool OMEcheckACL(const OMEassoc &acl, const OMEstring &methodName,
		const class OMEthread *t = nullptr);

bool OMEcheckResourceAccess(OMEthread *, const OMEstring &resourceName);

void OMEclearUserIDtable(); // called at exit to cleanup


/** @}
 */
#endif

/* vim: set expandtab shiftwidth=4 tabstop=4: */
